Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 26 May 2015 09:36:27 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r283559 - user/pho/stress2/misc
Message-ID:  <201505260936.t4Q9aRbc035684@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Tue May 26 09:36:27 2015
New Revision: 283559
URL: https://svnweb.freebsd.org/changeset/base/283559

Log:
  Only check if NFS mount is possible one time.
  
  Sponsored by:	 EMC / Isilon storage division

Modified:
  user/pho/stress2/misc/crossmp2.sh

Modified: user/pho/stress2/misc/crossmp2.sh
==============================================================================
--- user/pho/stress2/misc/crossmp2.sh	Tue May 26 09:34:55 2015	(r283558)
+++ user/pho/stress2/misc/crossmp2.sh	Tue May 26 09:36:27 2015	(r283559)
@@ -34,13 +34,16 @@
 
 . ../default.cfg
 
-[ -z "$nfs_export" ] && exit 0
-ping -c 2 `echo $nfs_export | sed 's/:.*//'` > /dev/null 2>&1 ||
-    exit 0
-
 mounts=10	# Number of parallel scripts
 
 if [ $# -eq 0 ]; then
+	[ -z "$nfs_export" ] && exit 0
+	ping -c 2 `echo $nfs_export | sed 's/:.*//'` > /dev/null 2>&1 ||
+	    exit 0
+	mount -t nfs -o tcp -o nfsv3 -o retrycnt=1 -o intr -o soft,timeout=1 \
+	    -o rw $nfs_export $mntpoint || exit 0
+	umount $mntpoint
+
 	for i in `jot $mounts`; do
 		mp=${mntpoint}$i
 		[ ! -d $mp ] && mkdir $mp



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201505260936.t4Q9aRbc035684>